Unstar the given repo
DELETE
/user/starred/{owner}/{repo}
const url = 'https://gitea.example.com/api/v1/user/starred/example/example';const options = {method: 'DELETE', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://gitea.example.com/api/v1/user/starred/example/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo to unstar
repo
required
string
Name of the repo to unstar
Responses
Section titled “Responses”APIEmpty is an empty response
APINotFound is a not found empty response